## IdeLangservDiagnosticProvider IdeLangservDiagnosticProvider |

## Functions

IdeLangservClient * | ide_langserv_diagnostic_provider_get_client ()
void | ide_langserv_diagnostic_provider_set_client ()

## Properties

IdeLangservClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LANGSERV_DIAGNOSTIC_PROVIDER
struct | IdeLangservDiagnosticProviderClass
| IdeLangservDiagnosticProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLangservDiagnosticProvider

## Implemented Interfaces

IdeLangservDiagnosticProvider implements IdeDiagnosticProvider.

## Description

## Functions

### ide_langserv_diagnostic_provider_get_client ()

    IdeLangservClient *
    ide_langserv_diagnostic_provider_get_client
                                   (IdeLangservDiagnosticProvider *self);

Gets the client used by diagnostic provider.

#### Returns

An IdeLangservClient or `NULL`.

[nullable][transfer none]

### ide_langserv_diagnostic_provider_set_client ()

    void
    ide_langserv_diagnostic_provider_set_client
                                   (IdeLangservDiagnosticProvider *self,
                                    IdeLangservClient *client);

## Types and Values

### IDE_TYPE_LANGSERV_DIAGNOSTIC_PROVIDER

    #define IDE_TYPE_LANGSERV_DIAGNOSTIC_PROVIDER (ide_langserv_diagnostic_provider_get_type())

### struct IdeLangservDiagnosticProviderClass

    struct IdeLangservDiagnosticProviderClass {
      IdeObjectClass parent_class;
    };

### IdeLangservDiagnosticProvider

    typedef struct _IdeLangservDiagnosticProvider IdeLangservDiagnosticProvider;

## Property Details

### The `“client”` property

      “client”                   IdeLangservClient *

The Language Server client.

Flags: Read / Write